package cn.superdesk.uniorder.dubbo.facade.scheduler;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.scheduler.SysQuartzJob;
import cn.superdesk.uniorder.dto.param.scheduler.SysQuartzJobParam;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description: 定时任务
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2020-12-17 16:35:26
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020-12-17 16:35:26
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboSysQuartzJobService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(SysQuartzJobParam param);

	@Deprecated
	void updateObj(SysQuartzJobParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	SysQuartzJob findById(Long id);

	@Deprecated
	PageInfo<SysQuartzJob> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<SysQuartzJob> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addSysQuartzJob(SysQuartzJobParam param);

	void updateSysQuartzJob(SysQuartzJobParam param);

	void updateSysQuartzJob(SysQuartzJob param);

	void deleteSysQuartzJob(Long id);

	SysQuartzJob findSysQuartzJobById(Long id);

	List<SysQuartzJob> findSysQuartzJobByIsPauseEq0();

	R<List<SysQuartzJob>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);
}
